Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVRMLExporter Class Reference

`#include <vtkVRMLExporter.h>`

Inheritance diagram for vtkVRMLExporter:

[legend]
Collaboration diagram for vtkVRMLExporter:

[legend]
List of all members.

## Detailed Description

export a scene into VRML 2.0 format.

Date:
  2002/05/27 14:48:16

Revision:
  1.34

vtkVRMLExporter is a concrete subclass of vtkExporter that writes VRML 2.0 files. This is based on the VRML 2.0 draft #3 but it should be pretty stable since we aren't using any of the newer features.

See also:
  vtkExporter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (65%)
  - Yamrom, Boris (7%)
  - Schroeder, Will (5%)
  - Cedilnik, Andy (5%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVRMLExporter.h)`
  - .`cxx` (`/Rendering/vtkVRMLExporter.cxx)`

Tests:
  vtkVRMLExporter (Tests)

Definition at line 58 of file vtkVRMLExporter.h.

## Public Types
typedef vtkExporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetFilePointer (FILE *)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetSpeed (float)
virtual float | GetSpeed ()
## Static Public Methods
vtkVRMLExporter * | New ()
int | IsTypeOf (const char *type)
vtkVRMLExporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVRMLExporter ()
| ~vtkVRMLExporter ()
void | WriteData ()
void | WriteALight (vtkLight *aLight, FILE *fp)
void | WriteAnActor (vtkActor *anActor, FILE *fp)
void | WritePointData (vtkPoints *points, vtkDataArray *normals, vtkDataArray *tcoords, vtkUnsignedCharArray *colors, FILE *fp)
## Protected Attributes
char * | FileName
FILE * | FilePointer
float | Speed

## Member Typedef Documentation

typedef vtkExporter vtkVRMLExporter::Superclass

| Reimplemented from vtkExporter. Definition at line 62 of file vtkVRMLExporter.h.

## Constructor & Destructor Documentation

vtkVRMLExporter::vtkVRMLExporter | ( |  | ) | `[protected]`

vtkVRMLExporter::~vtkVRMLExporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVRMLExporter* vtkVRMLExporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVRMLExporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExporter.

int vtkVRMLExporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

virtual int vtkVRMLExporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

vtkVRMLExporter* vtkVRMLExporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExporter.

void vtkVRMLExporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExporter.

virtual void vtkVRMLExporter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the VRML file to write.

virtual char* vtkVRMLExporter::GetFileName | ( |  | ) | `[virtual]`

| Specify the name of the VRML file to write.

virtual void vtkVRMLExporter::SetSpeed | ( | float |  | ) | `[virtual]`

| Specify the Speed of navigation. Default is 4.

virtual float vtkVRMLExporter::GetSpeed | ( |  | ) | `[virtual]`

| Specify the Speed of navigation. Default is 4.

void vtkVRMLExporter::SetFilePointer | ( | FILE * |  | ) |

| Set the file pointer to write to. This will override a FileName if specified.

void vtkVRMLExporter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkExporter.

void vtkVRMLExporter::WriteALight | ( | vtkLight * | aLight,
|  | FILE * | fp
| ) | `[protected]`

void vtkVRMLExporter::WriteAnActor | ( | vtkActor * | anActor,
|  | FILE * | fp
| ) | `[protected]`

void vtkVRMLExporter::WritePointData | ( | vtkPoints * | points,
|  | vtkDataArray * | normals,
|  | vtkDataArray * | tcoords,
|  | vtkUnsignedCharArray * | colors,
|  | FILE * | fp
| ) | `[protected]`

## Member Data Documentation

char* vtkVRMLExporter::FileName`[protected]`

| Definition at line 91 of file vtkVRMLExporter.h.

FILE* vtkVRMLExporter::FilePointer`[protected]`

| Definition at line 92 of file vtkVRMLExporter.h.

float vtkVRMLExporter::Speed`[protected]`

| Definition at line 93 of file vtkVRMLExporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVRMLExporter.h